#!/usr/bin/perl

use Net::Twitter;
use Data::Dumper;

if (@ARGV < 2) {
	die "Usage: ./replies.pm <username> <password> [apiurl [apihost [page]]]";
}
my ($username, $password, $apiurl, $apihost, $page) = @ARGV;
my $twit = Net::Twitter->new(username=>$username,
						     password=>$password,
						     apiurl=>$apiurl,
						     apihost=>$apihost,
						     apirealm=>"Shovel API");
my $result = $twit->replies($page);
print Dumper($result);
